Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Class RowCacheKey

    java.lang.Object
      org.apache.cassandra.cache.RowCacheKey

All Implemented Interfaces:
  java.lang.Comparable<RowCacheKey>, CacheKey

    public class RowCacheKey

extends java.lang.Object
implements CacheKey, java.lang.Comparable<RowCacheKey>

Field Summary
`int` | `cfId`
`byte[]` | `key`

Constructor Summary
`RowCacheKey(int cfId, java.nio.ByteBuffer key)`
`RowCacheKey(int cfId, DecoratedKey key)`

Method Summary
`int` | `compareTo(RowCacheKey otherKey)`
`boolean` | `equals(java.lang.Object o)`
`Pair<java.lang.String,java.lang.String>` | `getPathInfo()`
`int` | `hashCode()`
`int` | `serializedSize()`
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutputStream out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cfId

    public final int cfId

### key

    public final byte[] key

Constructor Detail

### RowCacheKey

    public RowCacheKey(int cfId,
                       DecoratedKey key)

### RowCacheKey

    public RowCacheKey(int cfId,
                       java.nio.ByteBuffer key)

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Specified by:
    `write` in interface `CacheKey`
  Throws:
    `java.io.IOException`

### getPathInfo

    public Pair<java.lang.String,java.lang.String> getPathInfo()

  Specified by:
    `getPathInfo` in interface `CacheKey`
  Returns:
    The keyspace and ColumnFamily names to which this key belongs

### serializedSize

    public int serializedSize()

  Specified by:
    `serializedSize` in interface `CacheKey`
  Returns:
    The size of the serialized key

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(RowCacheKey otherKey)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<RowCacheKey>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation